Added Dimension Software                          (214) 341-5759
6780 Abrams Rd.                                   CompuServ ID: 73311,1062
Suite 103-190
Dallas, TX 75231

----------------------------------------------------------------------------
                        GoHome - Version 1.0
----------------------------------------------------------------------------

 This file contains information to help you get started using GoHome and 
 also contains last minute details that didn't make it into the documentation.

 Questions, concerns, and suggestions are welcome. 

-----------------------------------------------------------------
   What is GoHome?

   GoHome is a set of utility programs that are designed to be easy to
   use and to help you get more productivity from your computer.  With
   GoHome, you will be able to run tasks unattended at a time when the
   PC is otherwise going to be idle. Take advantage of lower phone rates
   for uploading/downloading of files and messages, print documents at 
   night when the printer isn't in use, schedule backup programs to run
   when you're not around, and more. GoHome's scripts can even be used
   to create working demos and tutorials, or perform regression tests,
   or as an every day Super Macro Recorder and Player!

   If you are using your computer when a scheduled task is to occur,
   GoHome will display a message and give you 15 seconds to either run
   the task, cancel it, or "snooze" it to have it run later. If you let
   the task continue, GoHome will save the state of your computer and
   restore it when the task is finished. Tasks do not necessarily have
   to be scheduled. They can be executed at any time with just a press
   of a couple of keys. This allows you to essentially make any program
   a TSR that can be popped up over a running application!

   GoHome can "learn" how to run programs that require user interaction.
   For more demanding applications, GoHome includes a unique script
   editor that is very easy to use and does not require you to learn 
   or memorize complex commands and their syntax. The script editor
   allows scripts to be modified and enhanced with a number of different
   script commands and control flow logic. Context sensitive help is
   available at the touch of a key if additional information is needed.

   GoHome also includes a text editor that has several unique properties.
   The text editor is ideal for editing batch files and taking notes.
   It can be used with GoHome to provide a "pop-up" notepad editor. Text
   can also be displayed in different colors throughout the document.

   Perhaps best of all, GoHome is available as shareware. Shareware lets
   you try programs out before you have to buy them. This is a GREAT way
   to buy software because you can evaluate a program to make sure that
   it does what you want it to before ploping down your hard earned 
   money. Most shareware programs are a better value because they 
   eliminate most of the "middle" man costs and the costly packaging
   that is necessary in retail sales. If you find this software or
   other shareware programs useful, it is VERY IMPORTANT that you register
   the software with the author and to show support the shareware 
   marketing concept.

-----------------------------------------------------------------
   Tutorial

   GoHome comes with an excellant tutorial that is designed to get
   you up and using GoHome as quick as possible. It covers many of
   the ins-and-outs of using GoHome that may be difficult to pick
   up without the tutorial. It is therefore, strongly suggested that
   you print and go through it. To print it, type the following
   at the DOS prompt.

        COPY TUTORIAL.TXT PRN

   NOTE: TUTORIAL.TXT contains some screen snapshots that use the IBM
   line-drawing characters. Some printers are not capable of printing
   these characters. If that is the case, the screen snapshots will
   not be very pretty.


-----------------------------------------------------------------
   Installing GoHome

   GoHome is very easy to install. To install it follow the directions
   below.

   1. Create a directory to contain GoHome. For example, if you want to
      put GoHome into a directory named "GOHOME" on your C: drive type 
      at the DOS prompt

        MD C:\GOHOME

   2. If you received GoHome in a compressed format (usually .ZIP), 
      decompress GoHome by using the appropriate compress program 
      (ie. PKUNZIP). Copy the files to the directory created in step 1. 

        COPY A:*.* C:\GOHOME

   3. You may want to modify your AUTOEXEC.BAT file to include GoHome
      in you path statement. This way, you'll be able to run GoHome
      without having to enter the complete path. If you want to run
      GoHome all the time, add "GOHOME" to your AUTOEXEC.BAT file
      as one of the last programs to be load.

   4. In order for GoHome to function properly, it is VERY IMPORTANT 
      that the COMSPEC environment variable be set to the path and name 
      of the command processor being used. This is usually COMMAND.COM 
      but may be NDOS.COM or 4DOS.COM. Veryify that a statement in your 
      AUTOEXEC.BAT file (if your using DOS 6.0 or greater, it may be in 
      your CONFIG.SYS file) similar to the following is present:

        SET COMSPEC=C:\DOS6\COMMAND.COM

   5. Example scripts from the tutorial are in a self-extracting archive
      named "EXAMPLES.EXE". To extract the examples, type "EXAMPLES" at
      the DOS prompt.
      

-----------------------------------------------------------------
   Running GoHome

   GoHome is a TSR program that must be loaded before programs
   can be scheduled and scripts played back. To start GoHome,
   from the DOS prompt type "GOHOME" followed by the Enter key.
   
   To run a simple DEMO of GoHome, type "GODEMO" at the DOS prompt.
   The demo was created using GoHome's script capabilities.


-----------------------------------------------------------------
   Using scripts to run disk defragmentors and similar programs

   If a script is used to run programs that potentially can move data
   stored on a disk (i.e. disk defragmentors) it is IMPORTANT that the
   script be less than 1000 bytes in size (use "dir" to verify). This
   is because GoHome reads in sections of a script in 1024 byte 
   increments. If the running program moves a section of the disk that
   contains the script, GoHome will end up reading garbage and will
   crash the system. Simialarly, GoHome will write log information to 
   the log file when the script completes. It is, therefore, important
   to make sure that the script completely exists the defragmentor before
   the script finishes. An other option would be to check the 
   "Don't log task" in GoSched's "Options..." dialog for the script task.

-----------------------------------------------------------------
   Running Under Windows, NT, and OS/2
        
   GoHome may or may not be able to run certain tasks in a DOS box on 
   Windows, Windows NT, and OS/2.  It will not swap out a
   program that is running in the same DOS box. Instead, it will wait
   until it is at the DOS prompt before running scheduled programs. The
   screen blanker will also be disabled.

   When running GoHome under windows, you should start GoHome from a 
   PIF file. Start up the PIF editor in the MAIN program group. For
   the 'Program Filename' enter "C:\GOHOME\WINGOHO.BAT". Make sure
   that the 'Background' execution check box is checked. Click the 
   'Advanced' button to bring up another dialog box. Remove the check
   mark for 'Detect Idle Time'. (If the 'Detect Idle Time' box is marked
   Windows tries to determine when a DOS box is idle and may refuse
   to give it any execution time.) Hit the OK button to return to the
   main PIF window and save the file as 'GOHOME.PIF' in you GoHome 
   directory. Create the following batch file in the GOHOME directory
   (this is the file entered in the PIF 'Program Filename').

   To start GoHome, run GOHOME.PIF by either double-clicking on it in
   File Manager, or selecting "File|Run".


   WINGOHO.BAT
        REM == Use this batch file to start up GoHome under MS Windows

        REM == Use following line when running DOS 6.0 or greater
        c:\dos\command /k gohome.exe

        REM == Use following two lines when running DOS 5.0 or less
        rem c:\gohome\gohome.exe
        rem c:\dos\command.com



-----------------------------------------------------------------
   TroubleShooting

*  After GoHome runs a program at the DOS prompt, a message box appears 
   saying that "A task is already running..." when GoHome's hotkey is 
   pressed.

   This situation occurs if GoHome is not able to determine when DOS is
   at the DOS prompt (it thinks that the program is still running). In
   this case, unload GoHome and start it up with the "/DPMTHD=1" command
   line option. If running GoHome in a DOS box under MS Windows, use
   COMMAND.COM as the command shell instead of using "/DPMTHD=1".


-------------------------------------------------------------------
  Error Messages

  GoHome displays error messages in a red (default color) dialog box
  that shows what type of error occured and gives an error number.
  The following table lists a few of the common error messages and
  what they mean. Negative error numbers are specific to GoHome and
  are used in the log file.

    Error #    Description
    -----------------------------------------------------------
     2         File not found - Verify that the file specified
               is correct. You should use a complete path when
               specifying file names.
     3         Path not found - Verify that the path entered
               is correct.
     4         Too many files open - Increase the "FILES=xx" 
               statement in your CONFIG.SYS file.
     5         File access violation - GoHome attempted to access
               a file that is currently being used by another
               program.

   -100        Task scheduled was aborted by user.
   -101        Not enough disk space available to swap out the 
               current program.
   -102        Task could not be started due to file i/o error, 
               graphics, etc.
   -103        Not able to swap out requested amount of memory.
   -104        Swap file could not be created.
   -105        Invalid data file.
   -106        GoHome was not able to restore the swapped
               out program (i.e. swap file could not be found).
   -107        GoHome is not able to swap out a program when
               it is running in a DOS box in MS Windows, or OS/2.

        
